#ifndef CISPINDELDATA_H
#define CISPINDELDATA_H

#include <QString>
#include <QDataStream>
#include <QDateTime>

class CIspindelData
{
public:
    CIspindelData();

    int mIspindelID, mRSSI, mInterval;
    QString mIspindelName, mTemperatureUnits;
    double mAngle, mBattery, mGravity, mTemperature;
    QDateTime mSampleDateTime;

    QByteArray ToByteArray();

};


QDataStream &operator<<(QDataStream &out, const CIspindelData &source);
QDataStream &operator>>(QDataStream &in, CIspindelData &dest);
#endif // CISPINDELDATA_H
